#
# spec file for package CuraEngine
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cura-engine
Version:        15.04.6
Release:        0
Summary:        3D printer control software
License:        AGPL-3.0
Group:          Applications/Engineering
Url:            http://github.com/Ultimaker/CuraEngine
Source0:        https://github.com/Ultimaker/CuraEngine/archive/%{version}/CuraEngine-%{version}.tar.gz
Source1:        CuraEngine.1
Patch1:         CuraEngine-uses-sharelib.patch
BuildRequires:  gcc-c++

%description
CuraEngine is the a powerful, fast and robust engine for processing 3D models
into 3D printing instruction for Ultimaker and other GCode based 3D printers.
It is part of the larger open source project called "Cura".

%prep
%setup -q -n CuraEngine-%{version}
%patch1

%build
CFLAGS="%{optflags}"
export CFLAGS
make VERSION=%{version}

%install
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_datadir}/CuraEngine
cp build/CuraEngine %{buildroot}%{_bindir}
D=$(date +"%b %Y")
sed -i "s/DATE/${D}/g;s/VERSION/%version/g" %{SOURCE1}


install -Dm0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/cura-engine.1

%files
%defattr(-,root,root,-)
%dir %{_datadir}/CuraEngine
%doc LICENSE
%{_bindir}/CuraEngine
%_mandir/man1/cura-engine.1*

%changelog
